Tasks

Bulk Skip

POST/v1/tasks/bulk-skip
POST
/v1/tasks/bulk-skip

Skip multiple tasks at the same time

You can skip up to 100 tasks at a time.

This can be a large request and may take some time to complete. But you will get response immediately after the request is submitted.

On request of this API, you will receive a bulkActionId that can be used to check the status of the skip process.

To check the status of the skip process, you can use the v1/tasks/bulk-status/{bulkActionId} API.

If there is any error during the skip process, you will receive detailed error information in the status response.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

Bulk skip task request payload

taskIdsarray<string>

Array of task IDs to skip

Example: ["lP0Zg2keMz","MP0Cg1keMa","BS0Zg5keMq"]

Responses

200
Skip request accepted. Use the bulk status API to track results.
{
  "bulkActionId": "lP0Zg2keMz",
  "message": "Snooze request accepted. Use the bulk status API to track results.",
  "statusCheckUrl": "/v1/tasks/bulk-status/lP0Zg2keMz"
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/tasks/bulk-skip" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "taskIds": [
    "lP0Zg2keMz",
    "MP0Cg1keMa",
    "BS0Zg5keMq"
  ]
}'

Response

No response body